ACL_CLEAR_PERMS(3)

NAME
acl_clear_perms - clear all permissions from an ACL permission set

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_clear_perms(acl_permset_t permset_d);

DESCRIPTION
The acl_clear_perms() function clears all permissions from the permission set referred to by the argument permset_d.

Any existing descriptors that refer to permset_d shall continue to refer to that permission set.

RETURN VALUE

ERRORS
If any of the following conditions occur, the acl_clear_perms() function returns -1 and sets errno to the corresponding value:

[EINVAL]
    The argument permset_d is not a valid descriptor for a permission set within an ACL entry.

STANDARDS
IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned)

SEE ALSO
acl_add_perm(3), acl_delete_perm(3), acl_get_perm(3), acl_get_permset(3), acl_set_permset(3), acl(5)

AUTHOR
Derived from the FreeBSD manual pages written by Robert N M Watson <rwatson@FreeBSD.org>, and adapted for Linux by Andreas Gruenbacher <a.gruenbacher@bestbits.at>.